From 09ebb1b07fa666b6eb04276f1d4fc34ddf4a9db1 Mon Sep 17 00:00:00 2001
From: Shlok Kyal <shlok.kyal.oss@gmail.com>
Date: Fri, 23 Feb 2024 13:59:26 +0530
Subject: [PATCH v3] Add publisher and subscriber to glossary documentation

Add publisher and subscriber to glossary documentation.
---
 doc/src/sgml/glossary.sgml | 67 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 8c2f11480d..0a0e2456e5 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -959,6 +959,7 @@
      with all its databases.  Many instances can run on the same
      <glossterm linkend="glossary-server">server</glossterm>
      as long as their <acronym>TCP</acronym> ports do not conflict.
+     Also called <firstterm>node</firstterm>.
     </para>
     <para>
      The instance handles all key features of a <acronym>DBMS</acronym>:
@@ -1179,6 +1180,11 @@
    </glossdef>
   </glossentry>
 
+  <glossentry>
+   <glossterm>Node</glossterm>
+   <glosssee otherterm="glossary-instance" />
+  </glossentry>
+
   <glossentry id="glossary-null">
    <glossterm>Null</glossterm>
    <glossdef>
@@ -1315,6 +1321,36 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-publication">
+   <glossterm>Publication</glossterm>
+   <glossdef>
+    <para>
+     A publication replicates the changes of one or more tables to a
+     <glossterm linkend="glossary-subscription">subscription</glossterm>.
+    </para>
+    <para>
+     For more information, see
+     <xref linkend="logical-replication-publication"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+
+  <glossentry id="glossary-publication-node">
+   <glossterm>Publication node</glossterm>
+   <glossdef>
+    <para>
+     A <glossterm linkend="glossary-instance">node</glossterm> where a
+     <glossterm linkend="glossary-publication">publication</glossterm> is defined
+     for <glossterm linkend="glossary-replication">logical replication</glossterm>.
+    </para>
+   </glossdef>
+  </glossentry>
+
+  <glossentry>
+   <glossterm>Publisher</glossterm>
+   <glosssee otherterm="glossary-publication-node" />
+  </glossentry>
+
   <glossentry id="glossary-query">
    <glossterm>Query</glossterm>
    <glossdef>
@@ -1753,6 +1789,37 @@
    </glossdef>
   </glossentry>
 
+  <glossentry>
+   <glossterm>Subscriber</glossterm>
+   <glosssee otherterm="glossary-subscription-node" />
+  </glossentry>
+
+  <glossentry id="glossary-subscription">
+   <glossterm>Subscription</glossterm>
+   <glossdef>
+    <para>
+     A subscription receives the changes of one or more tables from the
+     <glossterm linkend="glossary-publication">publications</glossterm>
+     it subscribes to.
+    </para>
+    <para>
+     For more information, see
+     <xref linkend="logical-replication-subscription"/>.
+    </para>
+   </glossdef>
+  </glossentry>
+
+  <glossentry id="glossary-subscription-node">
+   <glossterm>Subscription node</glossterm>
+   <glossdef>
+    <para>
+     A <glossterm linkend="glossary-instance">node</glossterm> where a
+     <glossterm linkend="glossary-subscription">subscription</glossterm> is defined
+     for <glossterm linkend="glossary-replication">logical replication</glossterm>.
+    </para>
+   </glossdef>
+  </glossentry>
+
   <glossentry id="glossary-superuser">
    <glossterm>Superuser</glossterm>
    <glossdef>
-- 
2.34.1

